%ifarch %{arm} aarch64
%define build_docs     0
%else
%define build_docs     0
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1

%define qtversion          %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwebglplugin_d %mklibname qt5webglplugin -d

%define qttarballdir       qtwebglplugin-everywhere-opensource-src-%{qtversion}

Name:           qtwebglplugin5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} WebGL Plugin component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/Libraries
Url:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5WebSockets)
BuildRequires:  qt5eventdispatchersupport-devel
BuildRequires:  qt5fontdatabasesupport-devel
BuildRequires:  qt5themesupport-devel

%description
QPA plugin for running an application via a browser using streamed
WebGL commands.

%files
%{_qt5_plugindir}/platforms/libqwebgl.so

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtWebGLPlugin%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtWebGLPlugin%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtwebglplugin.qch
%{_qt5_docdir}/qtwebglplugin/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtwebglplugin_d}
Summary:        Devel files needed to build apps based on QtWebGL Plugin
Group:          Development/Libraries
Requires:       %{name} = %{version}
Provides:       libqtwebglplugin5-devel = %{version}
Provides:       libqt5webglplugin-devel = %{version}
Provides:       qtwebglplugin5-devel = %{version}
Provides:       qt5webglplugin-devel = %{version}

%description -n %{libqtwebglplugin_d}
Devel files needed to build apps based on QtWebGL Plugin.

%files -n %{libqtwebglplugin_d}
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QWebGLIntegrationPlugin.cmake

#------------------------------------------------------------------------------

%prep
%setup -q -n qtwebglplugin-everywhere-src-%{qtversion}

%build
%qmake_qt5

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"; make -j $RPM_BUILD_NCPUS

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version
